#   Module is dynamically loaded and references to X Server, and other
# modules resolved at runtime.
%define _disable_ld_no_undefined 1

Name: x11-driver-video-geode
Version: 2.10.1
Release: %mkrel 1
Summary: X.org driver for AMD Geode GX and LX Processors
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-geode-%{version}.tar.bz2
License: MIT
BuildRoot: %{_tmppath}/%{name}-root
ExclusiveArch: %{ix86}
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
# geode replaces amd driver (renamed in order to prevent confusion after AMD/ATI merge):
Provides: x11-driver-video-amd 
Obsoletes: x11-driver-video-amd 

%description
This is the X graphics driver for the AMD Geode GX and LX processors.
The GX driver features XAA and EXA support for graphics acceleration,
and the LX driver supports EXA (including compositing).  Both drivers
suppport dynamic rotation with XRandR, and Xv overlay support.

%prep
%setup -q -n xf86-video-geode-%{version}

%build
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README TODO
%{_libdir}/xorg/modules/drivers/ztv_drv.la
%{_libdir}/xorg/modules/drivers/ztv_drv.so
%{_libdir}/xorg/modules/drivers/geode_drv.la
%{_libdir}/xorg/modules/drivers/geode_drv.so


%changelog
* Mon Aug 25 2008 Ander Conselvan de Oliveira <ander@mandriva.com> 2.10.1-1mdv2009.0
+ Revision: 275728
- Update to version 2.10.1

* Tue Jul 15 2008 Ander Conselvan de Oliveira <ander@mandriva.com> 2.10.0-1mdv2009.0
+ Revision: 236163
- Update to version 2.10.0

* Wed May 28 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.9.0-3mdv2009.0
+ Revision: 212523
- fix upgrade since "the xf86-video-amd driver has been renamed to
  xf86-video-geode to avoid confusion with AMD's other GPU offerings"
- add missing dot at end of description
- improved summary

* Fri May 23 2008 Paulo Andrade <pcpa@mandriva.com.br> 2.9.0-2mdv2009.0
+ Revision: 210736
- o Add _disable_ld_no_undefined to spec. This is required due to the dynamic
  module system adopted by the X Server.

  + Adam Williamson <awilliamson@mandriva.com>
    - conflict with amd < 2.7.7.7-2mdv to ensure upgrade works correctly

* Mon May 12 2008 Paulo Andrade <pcpa@mandriva.com.br> 2.9.0-1mdv2009.0
+ Revision: 206307
- The geode driver, like the amd driver, only compiles on 32 bit x86.
- Import geode driver, version 2.9.0.
- x11-driver-video-geode

